#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7615_mac_sta_add, 0x37fe7e57, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0xab65c538, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x08b84722, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xf655d931, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0xf9914925, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x46a4a2c2, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x94ddc32d, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x60d1ebc8, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xceb88d51, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x16c0d289, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x95f4db63, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x375ea41d, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0x53ae6229, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xd544356a, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xa4f2eb86, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x86f378ec, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xd97001f0, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xc887d6ed, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x01feb7c5, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0xe190784e, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xe0890a93, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xc10f8144, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x5159fda6, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x3c6b712a, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x06c3e7c8, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xa3160ce5, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xd223fe63, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0x828e9f70, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0xbe143687, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x17fa55ea, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1384365c, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x49906e1, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0xc1cb275a, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x957be228, "mt76_connac_mcu_sta_tlv" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x399e0f0e, "mt76_tx_worker_run" },
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0xa2437696, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0xe0d1cbd3, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x4228778c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8855972, "firmware_request_nowarn" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61313d24, "mt76_tx_status_skb_get" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x684dd542, "mt76_tx_status_lock" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7b0a26f3, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xe2726dcc, "debugfs_create_u16" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x9683a3e0, "mt76_connac_mcu_set_channel_domain" },
	{ 0x318a3d3, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa24fc6d2, "__tracepoint_mac_txdone" },
	{ 0xc83e5de0, "mt76_connac_pm_wake" },
	{ 0x25a0ee6, "mt76_get_rate" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd6737e19, "mt76_connac_mcu_chip_config" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1ec8750, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0xc85ea9a7, "__mt76_tx_complete_skb" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3b28e76c, "mt76_set_stream_caps" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x7c31cbc3, "mt76_connac_mcu_update_arp_filter" },
	{ 0x3da4846b, "mt76_connac_mcu_set_vif_ps" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbd77e2ba, "mt76_mcu_rx_event" },
	{ 0xd654aaf5, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62236c4b, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa87b5b1b, "mt76_tx_status_check" },
	{ 0xbc377c94, "wake_up_process" },
	{ 0x5714dbdf, "mt76_connac_free_pending_tx_skbs" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xe1bae1b6, "mt76_connac_power_save_sched" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9ff4699f, "ieee80211_send_bar" },
	{ 0x4aa7bf5a, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x33fac00d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2141386b, "mt76_tx" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0xb76a667e, "mt76_connac_mcu_set_mac_enable" },
	{ 0x428938a8, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd36f6c9e, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x8434c1d0, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x25ee332f, "mt76_rx" },
	{ 0x8d920e82, "mt76_connac_mcu_sched_scan_req" },
	{ 0x1b89756a, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x98031060, "mt76_connac_mcu_uni_add_bss" },
	{ 0xffacc098, "mt76_phy_dfs_state" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xd1d31365, "mt76_connac_mcu_hw_scan" },
	{ 0x1a0a668d, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x58d3d27, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x1d77f3e7, "debugfs_create_file_unsafe" },
	{ 0xd97a178d, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xa67aa071, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x909a761b, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x3dce6c79, "mt76_set_channel" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x1cfd974f, "mt76_mcu_send_and_get_msg" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x55e7c88e, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0xf8f9dcdf, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xbb092932, "mt76_connac_pm_dequeue_skbs" },
	{ 0x79e6c043, "mt76_connac_mcu_set_pm" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3ef61afc, "devm_hwmon_device_register_with_groups" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x389ed7f, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x52a1925d, "mt76_connac_mcu_start_patch" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0xfc3e5b3f, "__SCK__tp_func_mac_txdone" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2ee683b, "mt76_connac_mcu_init_download" },
	{ 0x6a7b0bc1, "devm_kasprintf" },
	{ 0x4f6e5027, "cfg80211_reg_can_beacon" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x354462, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x5a571db4, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x2ed074d4, "mt76_get_rate_power_limits" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xeb019018, "ieee80211_sched_scan_results" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf16c2b, "mt76_insert_ccmp_hdr" },
	{ 0x37397a65, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x548e42ef, "mt76_sw_scan_complete" },
	{ 0xc7733e42, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1054d2d9, "mt76_connac_mcu_start_firmware" },
	{ 0x26e1b008, "____mt76_poll_msec" },
	{ 0xda1a0cf1, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9644efef, "mt76_connac_mcu_rdd_cmd" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xa87e8bff, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcdc954e, "mt76_get_sar_power" },
	{ 0xe0ad8b47, "mt76_unregister_phy" },
	{ 0xfebf5ad1, "mt76_register_phy" },
	{ 0x4d7fbdba, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x6ca5beaf, "mt76_put_txwi" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbc4c7701, "ieee80211_radar_detected" },
	{ 0xae62195b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xcd8c1ef4, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xc17af91e, "mt76_queues_read" },
	{ 0x46c961f9, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x2df63ffe, "mt76_register_debugfs_fops" },
	{ 0xdaafe14a, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xd7d833aa, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x3382a1bb, "mt76_connac_mcu_sta_ba" },
	{ 0x69703dd, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xb5766600, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x4fbeedae, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x25ca10ac, "__mt76_poll" },
	{ 0x5488d044, "mt76_rx_aggr_stop" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x7325148d, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1e0a4697, "mt76_get_min_avg_rssi" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa4897494, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xd343f99a, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "F10163CEBED035E80429D1C");

MODULE_INFO(suserelease, "SLE15-SP6");
