#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x0_chip_onoff, 0x3f8a17dd, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xab7f6392, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x5e44f6ac, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x2457f391, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xf7ddc6fd, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xe963718e, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xcd18e9d7, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0x9e53b54e, "mt76x02_phy_adjust_vga_gain" },
	{ 0xca23c2db, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7e1c80b, "mt76x02_mac_shared_key_setup" },
	{ 0x1568f24f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x49b5ff42, "mt76x02_get_efuse_data" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7bc77bce, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0x58d3d27, "mt76_eeprom_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0x6681d45, "mt76x02_mac_setaddr" },
	{ 0x6333bba4, "mt76_register_device" },
	{ 0x8dfca60e, "mt76x02_phy_set_bw" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xb4ed889, "mt76x02_phy_set_band" },
	{ 0x3dce6c79, "mt76_set_channel" },
	{ 0x8481ad07, "mt76x02_init_device" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x2f4b62b9, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xe6c7817e, "mt76x02_phy_set_rxpath" },
	{ 0xab9bcdcd, "mt76x02_edcca_init" },
	{ 0x55e7c88e, "mt76_eeprom_override" },
	{ 0xc5ab6173, "mt76x02_get_lna_gain" },
	{ 0xf75a7a9c, "mt76x02_init_debugfs" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0x755049eb, "mt76x02_mac_cc_reset" },
	{ 0xfe0571f8, "mt76x02_init_agc_gain" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1b813cd3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x26e1b008, "____mt76_poll_msec" },
	{ 0x158e6fae, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x34d4fa59, "mt76x02_config_mac_addr_list" },
	{ 0xcdc954e, "mt76_get_sar_power" },
	{ 0xbabe9431, "mt76x02_eeprom_copy" },
	{ 0xda740616, "mt76x02_mcu_calibrate" },
	{ 0xc1d10dc, "mt76x02_mcu_function_select" },
	{ 0x3119cf98, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x1f689de9, "mt76x02_mac_wcid_setup" },
	{ 0x25ca10ac, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd47384aa, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x1e0a4697, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");

MODULE_INFO(suserelease, "SLE15-SP6");
