#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rt2800_mcu_request, 0x7cc70f63, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xd6c0e8c8, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x554c9ef3, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xb5335ece, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x28df0dee, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xcdf69148, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xd6669453, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x374a1cb7, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0xbef9dfff, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x6fb03c01, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x969edf92, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x3216818e, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xbac37606, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x882ac168, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x9a843d49, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x86215e37, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x729a2a89, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x6d8a7f6a, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x5c9e28f2, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x48e320d4, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x5593e763, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x8d71cddd, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x92cc2d39, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xda6eb0df, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x20ec1480, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xa865d640, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x1342ef7a, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xd76bbbb9, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xf41efea3, "_gpl");
SYMBOL_CRC(rt2800_config, 0x77562d99, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x8e20343b, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x913993a6, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xf83446dc, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x96202065, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xb06d3ff2, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x4fcef62d, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xd219db43, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xaad3df55, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xd8d2323c, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x6c75946f, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x986ae61c, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x3b8684c2, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x12c7d755, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x1c254e32, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4dacab14, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa550efbb, "rt2x00lib_txdone" },
	{ 0x29157a8e, "skb_push" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x4170672b, "__skb_pad" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xff11abbe, "rt2x00lib_get_bssidx" },
	{ 0x35fe7f69, "rt2x00lib_txdone_noinfo" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x7bc11f0c, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4f791397, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x992e2f28, "rt2x00queue_get_entry" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x64c76b70, "rt2x00mac_conf_tx" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "159048CE6B4832842E79E68");

MODULE_INFO(suserelease, "SLE15-SP6");
