#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7244ec47, "nvme_remove_admin_tag_set" },
	{ 0x8d5111d6, "nvme_uninit_ctrl" },
	{ 0xb2ada9d2, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x2bcd1a4b, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x711a9e9a, "nvmf_free_options" },
	{ 0x219e1dcd, "blk_mq_complete_request_remote" },
	{ 0x4e2e0b70, "nvme_setup_cmd" },
	{ 0x2325a696, "nvme_start_ctrl" },
	{ 0x7df53889, "nvme_alloc_admin_tag_set" },
	{ 0x5e8abc1e, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xe7a72f64, "nvmf_reg_read32" },
	{ 0xc66928c8, "nvme_delete_ctrl" },
	{ 0x934c6e71, "nvme_disable_ctrl" },
	{ 0xffe253e2, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12c62e42, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e18bc5b, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xf51856de, "nvme_remove_io_tag_set" },
	{ 0x6edb8d6e, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xe3279b03, "nvme_mpath_start_request" },
	{ 0xeb65dda4, "nvmf_unregister_transport" },
	{ 0x405be82d, "put_device" },
	{ 0x26b37328, "nvmet_unregister_transport" },
	{ 0x61a82ede, "nvme_change_ctrl_state" },
	{ 0xce2fdaf2, "nvme_cancel_tagset" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x8ca35bd5, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xe4adbbf1, "nvme_alloc_io_tag_set" },
	{ 0x2e25b719, "nvmet_req_init" },
	{ 0xf95ed0a2, "nvme_fail_nonready_command" },
	{ 0x4f791397, "_dev_err" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x8b1f8555, "nvmet_register_transport" },
	{ 0x4f1538a4, "__blk_rq_map_sg" },
	{ 0x88d0cf21, "nvmf_reg_read64" },
	{ 0xa2212848, "nvmf_connect_admin_queue" },
	{ 0xb0417525, "nvme_enable_ctrl" },
	{ 0x84bac6fa, "nvme_unquiesce_admin_queue" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14f4368f, "blk_mq_hctx_set_fq_lock_class" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa798b022, "blk_mq_update_nr_hw_queues" },
	{ 0x796b7967, "nvmf_reg_write32" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x488be158, "nvmet_sq_init" },
	{ 0x7de6fdcb, "nvme_complete_async_event" },
	{ 0x8e9f09a6, "nvme_set_queue_count" },
	{ 0x9f839a5a, "nvmf_register_transport" },
	{ 0xd0063bf1, "blk_mq_start_request" },
	{ 0xf3041965, "nvme_quiesce_io_queues" },
	{ 0xe963c03c, "nvme_stop_ctrl" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x1e5c0075, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xb163eab7, "nvme_quiesce_admin_queue" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x20a33d13, "__nvme_check_ready" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvmet");


MODULE_INFO(srcversion, "ED45866745F696D680C0BF6");

MODULE_INFO(suserelease, "SLE15-SP6");
