#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x9a784c36, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x51ee59f6, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x0f5ea4f8, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x9b0a303d, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x4b444388, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xd748439d, "");
SYMBOL_CRC(mlx5_cmd_check, 0x4ee56fb8, "");
SYMBOL_CRC(mlx5_cmd_do, 0xfe4a2482, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x4fd74d99, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x54895ab6, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xe67e6893, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x548a764e, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x378fe402, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x89925218, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x3950db7f, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x543c9dc9, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xff5dadbb, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x70aa61f5, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x14f79656, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x960fce89, "");
SYMBOL_CRC(mlx5_eq_enable, 0x67509bef, "");
SYMBOL_CRC(mlx5_eq_disable, 0x515f57f7, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x4240c7ae, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x580dd64f, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xe40fc4ed, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x6723b63d, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x3b9fed6a, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xcf1adf44, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x52aae002, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x8f09dda0, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x87123291, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xf40331e9, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x2a502169, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x049934b6, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x073e2cd6, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x31bcb866, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xe45ccc1e, "");
SYMBOL_CRC(mlx5_create_cq, 0xab03c4a7, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xcc3bc0e5, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x67f087da, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x3d140690, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x7664eefb, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x728eeb33, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x4067c8cf, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xcd29b6f5, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xe9b51436, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x47927c43, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x0c97d486, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xdf348854, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x5dc0a0ff, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x315dff18, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xbdc5527b, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xfe8fc461, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x9e60b762, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x87cc32a2, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x172c5013, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x5641af6b, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x1b8613dc, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x70868f84, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x158a6b52, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x06aa4a2d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x41363f55, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x4723f325, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xf0c8f729, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc6a76ea7, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x2bed130d, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x60728f89, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x8fe71cb7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xf63b23f7, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x238e2193, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xefc0d819, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xf084e12d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xb7671962, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x463390d9, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xe8d7932b, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x6bc5a117, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x01b86bc5, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xc0103771, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xe5ad4864, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x9b9ef375, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xa2aeaadb, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xa177bbff, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x59aa56c5, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xaf9ce8bd, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xf73655ff, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x7b18dda9, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x95406754, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xb686469a, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xdfa05109, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x1d926012, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x5772564f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xfdeae101, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xa8e3684d, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xde86d932, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x37d45eef, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x9dc58300, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x4b377acf, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x37719ad6, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x3b0a28a9, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x720a67f3, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x1eae14be, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x608e4662, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xd3aba95f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xf9b4385d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xbf797b42, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x686f9ca6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x35aa5ff2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x8ec781b0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x2f2496aa, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xd6b02eea, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x9455232a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x5d86db78, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xc0d5c5bf, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x2e88fca5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x6e3f76c8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x13863e67, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x98caa88b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x06c564b6, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x93b304f4, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xf06ea287, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x86ee3315, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xd2d3cada, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xd807f42c, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x3e87cca1, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x4ced220d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x3d7c9ec3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x05a53cc8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x877eef48, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xfeb4633a, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x158f6aaa, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x7488bce4, "");
SYMBOL_CRC(mlx5_create_flow_table, 0xb0d2827a, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd1a6a71e, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x0acd4443, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xeaefccc8, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x9588750b, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xd13c0795, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xa521bf1c, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xf429f61a, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xd5a8e1f7, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x9bedd63c, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xc50193b9, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x2a715046, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x30f1e97e, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x27d25bf7, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x075d9ec7, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x37d74822, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x59b99cfb, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x9d8efee3, "");
SYMBOL_CRC(mlx5_msix_free, 0xf46dccc1, "");
SYMBOL_CRC(mlx5_fc_create, 0xf8056a0e, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xf34256dd, "");
SYMBOL_CRC(mlx5_fc_query, 0xd87b6b87, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x1739c50e, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xab906682, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xa0d03b37, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xad91d44c, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x9dd44870, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x4e51c006, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x4fb6d605, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x0ad4810d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x0bd02ed8, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xb8c06923, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xb7ba0626, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x036021dd, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x2deb73b4, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x7f2e31dc, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x248f3137, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xbd75b045, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf99eb332, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x803cf952, "");
SYMBOL_CRC(mlx5_notifier_register, 0xd4ee07d6, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x53cfbf1e, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x560d7c64, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x42eb5973, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xcbe3911f, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x45668338, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x102da8ee, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x12baff49, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xe01d51b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x243fe3cf, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x9bcaac76, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x4909e675, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x3d77371c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x32de1bb5, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x81f21024, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x51e6921b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0xfa25ede4, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x28e6a7e7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x0076b44b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0x53315a27, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xddbf4094, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x1a4f534c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x46a055d9, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x4444f850, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x2de71dc7, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xdf5bed1d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x98920717, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x964b4173, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x9064252f, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x2d400ca1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x58729178, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x25b62e99, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xae9e81a6, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xddafdb1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7ac2adf5, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x537b3afa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x3db87b06, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x6b553bc5, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xf4fb423c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x5db9eb2f, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x4d25e7b6, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0xb692dc68, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xbd820a1e, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xff159640, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x2b2ea459, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x2cf06f6b, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xbd8c550f, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xaa4ffa7f, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x10955458, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xa53386b6, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x7b2ea77e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x0b8c6fe8, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd3c5f201, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x3fd7221a, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x70b2d97d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x04ce8a81, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x10916b38, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xb1aba66e, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xa3b667aa, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x5bf10e2d, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x85504b93, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x6e5fce2c, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9dc76476, "pci_disable_sriov" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x39e59554, "xa_erase" },
	{ 0x243a4999, "register_netdevice_notifier_dev_net" },
	{ 0x904152c5, "neigh_destroy" },
	{ 0x3905ac13, "xdp_master_redirect" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdb1aa3c4, "netdev_set_tc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6f2a278d, "dev_add_pack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xea13c865, "xp_dma_unmap" },
	{ 0x77572e15, "page_pool_create" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x349744ab, "devl_trap_groups_unregister" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x93dcdc73, "devlink_port_register_with_ops" },
	{ 0x84bc448a, "ptp_clock_unregister" },
	{ 0x65c92ff, "page_pool_update_nid" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xac18c740, "__dev_get_by_index" },
	{ 0x1fe4a855, "xdp_set_features_flag" },
	{ 0x5483145d, "skb_add_rx_frag" },
	{ 0xe099906d, "devl_traps_unregister" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x7f52071a, "net_dim" },
	{ 0x954f099c, "idr_preload" },
	{ 0x25b53836, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x2b083576, "pci_cfg_access_unlock" },
	{ 0xa2862cb1, "debugfs_create_atomic_t" },
	{ 0x67b736ee, "__SCK__tp_func_xdp_exception" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9efc6012, "pci_read_config_word" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x2e3a69d4, "__dev_queue_xmit" },
	{ 0x88bff22a, "netdev_master_upper_dev_get" },
	{ 0x923d5425, "xa_get_mark" },
	{ 0x960156c9, "ndo_dflt_bridge_getlink" },
	{ 0xfd111363, "bpf_trace_run7" },
	{ 0x4ba64fb9, "kmem_cache_free" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x88398556, "pci_set_master" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x19e7d158, "pci_find_capability" },
	{ 0xe8ba66a0, "debugfs_create_x32" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c010e60, "flow_rule_match_mpls" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x8416306a, "down_read_trylock" },
	{ 0x8118265b, "xsk_tx_completed" },
	{ 0x96848186, "scnprintf" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa54cacdc, "xsk_clear_tx_need_wakeup" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x524e06a3, "pci_disable_device" },
	{ 0xfe8c8a8d, "kmem_cache_destroy" },
	{ 0x196e66dc, "flow_rule_match_basic" },
	{ 0xb2435593, "bpf_trace_run5" },
	{ 0xfd25907e, "xdp_rxq_info_is_reg" },
	{ 0x24d273d1, "add_timer" },
	{ 0x51bd87c4, "debugfs_create_size_t" },
	{ 0x80eb6d57, "radix_tree_delete" },
	{ 0x79c13cdd, "__tracepoint_xdp_exception" },
	{ 0xe37ffbef, "metadata_dst_free" },
	{ 0x2c8faea0, "priv_to_devlink" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe1ca974e, "seq_release" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0xa75c4c0d, "dma_sync_single_for_cpu" },
	{ 0xd9c74a6a, "dev_get_port_parent_id" },
	{ 0xc235d81a, "pci_iov_get_pf_drvdata" },
	{ 0x65de1d02, "devlink_port_unregister" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0x554e98b1, "bpf_trace_run3" },
	{ 0xd0a61d7, "napi_build_skb" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x796204c5, "bpf_trace_run4" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x75201acc, "xa_set_mark" },
	{ 0x5e440702, "ptp_clock_event" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x8a0cc243, "skb_ext_add" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x79683ccd, "bpf_warn_invalid_xdp_action" },
	{ 0xc91e40f, "__folio_put" },
	{ 0x32ee8763, "netdev_warn" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xaeefc65, "devl_assert_locked" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x46f39487, "alloc_pages" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0xd34f2e1b, "single_open" },
	{ 0xc2778e79, "netif_carrier_event" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14c213f7, "devl_rate_nodes_destroy" },
	{ 0xbc74f2c8, "xp_raw_get_data" },
	{ 0x5a9ec1c9, "flow_rule_match_icmp" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x5077fff9, "flow_rule_match_ct" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x805e75f9, "ip_route_output_flow" },
	{ 0xed439eda, "devl_trap_groups_register" },
	{ 0x5a76a8, "xfrm_replay_seqhi" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x29355d7e, "rhltable_init" },
	{ 0x4d5d5849, "pci_read_config_dword" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x76876420, "netdev_set_num_tc" },
	{ 0x73daf444, "psample_sample_packet" },
	{ 0xe2619216, "pci_msix_alloc_irq_at" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x22eaa66c, "xdp_rxq_info_unused" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x70557730, "hwmon_device_unregister" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xcd2ba9b, "blocking_notifier_call_chain" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8869c5e0, "register_fib_notifier" },
	{ 0xd3817166, "devlink_port_attrs_pci_sf_set" },
	{ 0xb08c3c9e, "atomic_notifier_chain_unregister" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x52ce608c, "up_read" },
	{ 0xc5e9922c, "hwmon_device_register_with_info" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9292560d, "rps_may_expire_flow" },
	{ 0x6d4ce75, "up_write" },
	{ 0xabe460aa, "skb_put" },
	{ 0x383c1de5, "netdev_err" },
	{ 0x1fd399f6, "devl_resource_register" },
	{ 0x9bf6738e, "xdp_return_frame_bulk" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xddbd3427, "netif_set_tso_max_size" },
	{ 0xa2239d77, "__auxiliary_driver_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xc948c553, "flow_block_cb_setup_simple" },
	{ 0x2ed8e46e, "pci_alloc_irq_vectors" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x192f660a, "flow_rule_match_control" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xd5aa5b6a, "__neigh_event_send" },
	{ 0xa2faeb16, "unregister_netdevice_notifier_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0x285a52bd, "rhashtable_insert_slow" },
	{ 0x5bbd1b0a, "xsk_set_tx_need_wakeup" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xfc37a9ce, "irq_get_irq_data" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x86414d09, "flow_block_cb_lookup" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xa4b6f9c8, "devl_params_register" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xa0adb1cd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbde18153, "seq_open" },
	{ 0x720accd9, "pci_sriov_get_totalvfs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x104bd337, "devlink_free" },
	{ 0x791dfac2, "devlink_port_attrs_pci_vf_set" },
	{ 0x26bb2ac, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7eca3e99, "xfrm_state_check_expire" },
	{ 0x6420801c, "flow_rule_match_enc_opts" },
	{ 0x6626afca, "down" },
	{ 0xb61d0be1, "metadata_dst_alloc" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x50b5a334, "pci_free_irq_vectors" },
	{ 0x8ed323d9, "radix_tree_lookup" },
	{ 0xed197185, "devlink_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0xa978fe40, "rhashtable_walk_start_check" },
	{ 0xa6257a2f, "complete" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x243fbd53, "pcie_capability_clear_and_set_word_locked" },
	{ 0xcd279169, "nla_find" },
	{ 0x11670c58, "xp_alloc" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x8ab84b96, "pci_iov_vf_id" },
	{ 0x8ea900d8, "rhashtable_walk_enter" },
	{ 0x4c30a1b, "__napi_alloc_skb" },
	{ 0xee9d7ecc, "rhashtable_walk_exit" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x37a0cba, "kfree" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0xf183e487, "devl_params_unregister" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x44e29e64, "devlink_port_attrs_set" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0xaad67728, "flow_rule_match_meta" },
	{ 0x405be82d, "put_device" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x349cba85, "strchr" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x28c7280b, "sock_gen_put" },
	{ 0xb861ab9, "bpf_prog_add" },
	{ 0x22735e8c, "flow_rule_match_vlan" },
	{ 0xed18869f, "neigh_lookup" },
	{ 0x1adb737d, "flow_indr_dev_unregister" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x556f17ca, "netif_set_real_num_tx_queues" },
	{ 0x46e3e4fa, "init_net" },
	{ 0xb4ba5255, "skb_checksum" },
	{ 0xac06ed3e, "ethtool_op_get_link" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x5b27e1b5, "bpf_prog_inc" },
	{ 0xefccbe17, "atomic_notifier_call_chain" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x9c04bc7c, "dev_get_iflink" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x62185271, "flow_rule_match_enc_keyid" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0x2533d435, "register_netdevice_notifier_net" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1883fad4, "flow_rule_match_enc_control" },
	{ 0x56470118, "__warn_printk" },
	{ 0x618911fc, "numa_node" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x843901f9, "pcie_bandwidth_available" },
	{ 0x1f273053, "ptp_find_pin" },
	{ 0x57dcd9f4, "xdp_do_redirect" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbf328441, "__ethtool_get_link_ksettings" },
	{ 0x6d59d508, "netif_device_attach" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x915cb4c6, "pci_msix_vec_count" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb11b603d, "netif_tx_wake_queue" },
	{ 0xf81cf5d1, "page_pool_get_stats" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xf291c78d, "call_switchdev_notifiers" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0xc64a3823, "pcie_print_link_status" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2627acb2, "devl_port_health_reporter_create" },
	{ 0xccb21d3f, "kmalloc_node_trace" },
	{ 0xc9320cee, "devl_nested_devlink_set" },
	{ 0xe08a7fdf, "skb_copy_bits" },
	{ 0x2b2dfafb, "tls_get_record" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x87fd3a8c, "netdev_master_upper_dev_get_rcu" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x72d81c59, "devl_port_unregister" },
	{ 0xca100241, "seq_lseek" },
	{ 0xdffcef2d, "debugfs_create_u64" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xfe28ab7e, "netif_schedule_queue" },
	{ 0x97574cf8, "free_fib_info" },
	{ 0x259ec3e8, "netdev_port_same_parent_id" },
	{ 0xfcb8b3ed, "flow_rule_match_eth_addrs" },
	{ 0x1f954439, "dev_remove_pack" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xbdcd32f6, "xp_can_alloc" },
	{ 0x5cc49dc8, "xp_dma_map" },
	{ 0xf77ba8f, "__xa_alloc" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xaa714cf, "xdp_return_frame" },
	{ 0xf38d72a4, "dev_get_by_index_rcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa902232e, "skb_store_bits" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x89c7c781, "devl_param_driverinit_value_get" },
	{ 0x227fb424, "flow_rule_match_tcp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6b8a40ac, "skb_tstamp_tx" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x7776f972, "unregister_fib_notifier" },
	{ 0xa2cd9c2e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0xca98c8eb, "ip6_dst_hoplimit" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x19c456fc, "devlink_port_health_reporter_create" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x4f791397, "_dev_err" },
	{ 0x3bd71d87, "devlink_unregister" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x225202a8, "netif_carrier_off" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xaf6f126a, "dma_map_page_attrs" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x77efd3d2, "seq_read" },
	{ 0xde5cee58, "pci_save_state" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xde80cd09, "ioremap" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x6bfc05b9, "xa_load" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9d3487cb, "flow_rule_match_cvlan" },
	{ 0x6a0c4b29, "netif_set_xps_queue" },
	{ 0x18a6580b, "devl_unlock" },
	{ 0xcb54cc1e, "softnet_data" },
	{ 0x617e718, "idr_get_next_ul" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0x1a5e68f, "dma_free_attrs" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xa52e3d80, "__neigh_create" },
	{ 0x64dd55cd, "devlink_alloc_ns" },
	{ 0xca50d29, "devlink_priv" },
	{ 0x42757895, "ptp_clock_register" },
	{ 0x63251fdb, "devl_rate_leaf_destroy" },
	{ 0xa621da0, "ptp_clock_index" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xa30b1e92, "dev_get_by_index" },
	{ 0x70375657, "devl_port_fn_devlink_set" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0xe3f233e9, "netdev_printk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc93048ba, "netdev_pick_tx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb16c1145, "page_pool_alloc_pages" },
	{ 0xddd43b62, "devlink_port_attrs_pci_pf_set" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x2a59284b, "arp_tbl" },
	{ 0xa38996a9, "pci_release_regions" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xedc6f85c, "rhashtable_destroy" },
	{ 0xc2c5802, "work_busy" },
	{ 0xd6365b46, "xdp_rxq_info_reg_mem_model" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0x35cd73c, "udp4_hwcsum" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xab383b3, "netdev_reset_tc" },
	{ 0xc22c99c3, "__dynamic_netdev_dbg" },
	{ 0xc509eb5b, "register_netdev" },
	{ 0x1af267f8, "int_pow" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb58bfd6d, "dev_addr_mod" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf2a6966, "up" },
	{ 0x936bf003, "auxiliary_device_init" },
	{ 0x601bb5c2, "ipv6_stub" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x7810f38e, "kmem_cache_create" },
	{ 0xbc6bc628, "blocking_notifier_chain_register" },
	{ 0x384e6fb2, "vlan_dev_real_dev" },
	{ 0x2fb09ae0, "xp_dma_sync_for_cpu_slow" },
	{ 0xea931215, "devl_rate_leaf_create" },
	{ 0xb1fe55af, "flow_rule_match_ip" },
	{ 0x862258db, "timecounter_init" },
	{ 0x25ca3adf, "netif_set_real_num_rx_queues" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xbe0e4782, "xsk_clear_rx_need_wakeup" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf9a095ce, "page_pool_put_unrefed_page" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8cbb0ed4, "flow_rule_match_ipv6_addrs" },
	{ 0x639c1e4a, "xp_dma_sync_for_device_slow" },
	{ 0x94e1f90f, "devlink_trap_report" },
	{ 0x52c95287, "xa_find_after" },
	{ 0x7c2aab2f, "auxiliary_driver_unregister" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x34f7f392, "xsk_uses_need_wakeup" },
	{ 0x4769540e, "netif_device_detach" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5ae1415, "devl_traps_register" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x78f3b32d, "rhashtable_init" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x2ab5e5f7, "dst_release" },
	{ 0x29157a8e, "skb_push" },
	{ 0x2a795e6d, "device_del" },
	{ 0x7f567295, "radix_tree_insert" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x1d939156, "xsk_tx_release" },
	{ 0x56bf2b91, "vlan_dev_vlan_proto" },
	{ 0x49cd74dd, "rht_bucket_nested_insert" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0xa041b150, "__inet6_lookup_established" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0x75431171, "down_write_trylock" },
	{ 0xa083ce2e, "xp_raw_get_dma" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xb9c0237a, "pci_restore_state" },
	{ 0x64d296c0, "dcb_ieee_delapp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x40fff054, "xsk_set_rx_need_wakeup" },
	{ 0xb2674700, "blocking_notifier_chain_unregister" },
	{ 0xad52e80a, "ida_alloc_range" },
	{ 0xdd55180f, "kmem_cache_alloc" },
	{ 0xb7458a78, "eth_get_headlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcb4c157e, "rhashtable_walk_next" },
	{ 0x450174e0, "page_pool_destroy" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0xc61bddfb, "pci_enable_sriov" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb19b445, "ioread8" },
	{ 0x3a0785e, "devlink_net" },
	{ 0x60735d5e, "netif_carrier_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3b6df35b, "pci_enable_device" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x840f0680, "pci_msix_free_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x95fd3d00, "pci_cfg_access_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5cd2b1bc, "ipv6_find_hdr" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf23f694, "devl_resources_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x3ad01691, "flow_rule_match_ipv4_addrs" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xecdd40fa, "dma_unmap_page_attrs" },
	{ 0x72ece7e9, "netdev_info" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x7607d30e, "devlink_health_reporter_create" },
	{ 0xf4b680ad, "xsk_tx_peek_desc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x50a1cd04, "unregister_netdev" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x68dc1674, "pci_write_config_dword" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x18ea64a7, "simple_open" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa8ba8229, "devl_port_register_with_ops" },
	{ 0xd976c88a, "__xdp_rxq_info_reg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1c4e2627, "flow_block_cb_alloc" },
	{ 0x29bc44ed, "vlan_dev_vlan_id" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd441004d, "ida_destroy" },
	{ 0x83051629, "alloc_etherdev_mqs" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb33751cf, "xp_free" },
	{ 0x363d9f16, "xdp_rxq_info_unreg" },
	{ 0xdd64e639, "strscpy" },
	{ 0xed735651, "pcie_relaxed_ordering_enabled" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x803488eb, "pci_request_regions" },
	{ 0xbb2f1e7b, "devl_param_driverinit_value_set" },
	{ 0x95d761fc, "request_firmware_direct" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc24fffe5, "rhashtable_walk_stop" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5417537b, "__free_pages" },
	{ 0x749206ac, "free_netdev" },
	{ 0x23c7c3f, "__xa_insert" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x79546801, "flow_indr_dev_register" },
	{ 0x4bf86372, "flow_rule_match_ports" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x56ae9c97, "pci_msix_can_alloc_dyn" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x9859db6b, "dma_sync_single_for_device" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0x15c6d3c0, "devl_lock" },
	{ 0x3cbd9f79, "flow_indr_block_cb_alloc" },
	{ 0xf941a812, "__auxiliary_device_add" },
	{ 0x61cb4587, "rhashtable_free_and_destroy" },
	{ 0xdfa15e5b, "pci_enable_atomic_ops_to_root" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x66dc0f28, "udp_tunnel_nic_ops" },
	{ 0x6ef8cfd4, "xp_set_rxq_info" },
	{ 0x87e9f095, "dma_pool_create" },
	{ 0x9850200f, "__inet_lookup_established" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x22c1aead, "pcie_capability_read_word" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb6b4744b, "flow_rule_match_enc_ip" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0xed277ccf, "flow_rule_match_enc_ports" },
	{ 0x46a60704, "__skb_flow_dissect" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x52074537, "__xa_erase" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x519cead7, "netdev_update_features" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xd5d6c53c, "unregister_netdevice_notifier_dev_net" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1f19a429, "netdev_lower_get_next" },
	{ 0xd23dd3aa, "atomic_notifier_chain_register" },
	{ 0x6ed1d2c2, "dev_printk_emit" },
	{ 0xa2f80b12, "flow_block_cb_free" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x983c1964, "ida_free" },
	{ 0x7ab81942, "devlink_remote_reload_actions_performed" },
	{ 0xbab91bf7, "pci_irq_vector" },
	{ 0xedb7d7b4, "pci_num_vf" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x9cb31467, "dcb_ieee_setapp" },
	{ 0x1fdc584e, "devl_health_reporter_create" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x738f572d, "napi_gro_receive" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x475ce827, "bpf_prog_put" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x6cb210e5, "eth_type_trans" },
	{ 0x933567dc, "secpath_set" },
	{ 0xfb37807c, "qdisc_reset" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x7902a47f, "xa_store" },
	{ 0xdca370c0, "xp_alloc_batch" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd25a8b14, "tls_validate_xmit_skb" },
	{ 0x4f1a8748, "skb_vlan_pop" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "psample,pci-hyperv-intf,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9ED91FBFB319B3FAA3F35DA");

MODULE_INFO(suserelease, "SLE15-SP6");
