#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff4c3aad, "sdio_release_host" },
	{ 0xdfedaece, "sdio_disable_func" },
	{ 0x95514f14, "sdio_set_block_size" },
	{ 0x2fed7069, "mwifiex_init_shutdown_fw" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0xb56f9112, "mwifiex_drv_info_dump" },
	{ 0x568e8c13, "sdio_claim_host" },
	{ 0x4c58b0d6, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d20125b, "mwifiex_upload_device_dump" },
	{ 0x5bba7e2d, "mwifiex_enable_hs" },
	{ 0x6fb823e, "mwifiex_remove_card" },
	{ 0x4659942c, "mwifiex_deauthenticate_all" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2b898bf6, "mwifiex_handle_rx_packet" },
	{ 0x33610514, "mwifiex_reinit_sw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5bd14bdb, "sdio_f0_readb" },
	{ 0x92997ed8, "_printk" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xbc504ef5, "sdio_release_irq" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xc34ded71, "mwifiex_dnld_fw" },
	{ 0x2c80827d, "sdio_set_host_pm_flags" },
	{ 0xf39db1d1, "sdio_unregister_driver" },
	{ 0xafefb6b1, "sdio_readsb" },
	{ 0xd4dad9f3, "mwifiex_alloc_dma_align_buf" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x4b6da768, "mwifiex_shutdown_sw" },
	{ 0xb50b57f3, "mwifiex_add_card" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfb1f7cce, "_mwifiex_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x4c98c91f, "skb_trim" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x18a7e65d, "sdio_get_host_pm_caps" },
	{ 0xf37aab1e, "mwifiex_prepare_fw_dump_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78887567, "mwifiex_main_process" },
	{ 0x999e8297, "vfree" },
	{ 0xf6dc002, "mwifiex_process_sleep_confirm_resp" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x278e79de, "mwifiex_disable_auto_ds" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x17f71f45, "mmc_hw_reset" },
	{ 0x7ba4f924, "sdio_claim_irq" },
	{ 0x2a44219f, "sdio_enable_func" },
	{ 0xb4614b57, "sdio_writesb" },
	{ 0xd4b97bd7, "mwifiex_cancel_hs" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x53d08661, "sdio_readb" },
	{ 0x2280a5b2, "sdio_writeb" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mwifiex");

MODULE_ALIAS("sdio:c*v02DFd9116*");
MODULE_ALIAS("sdio:c*v02DFd9119*");
MODULE_ALIAS("sdio:c*v02DFd9129*");
MODULE_ALIAS("sdio:c*v02DFd912D*");
MODULE_ALIAS("sdio:c*v02DFd9135*");
MODULE_ALIAS("sdio:c*v02DFd9139*");
MODULE_ALIAS("sdio:c*v02DFd9145*");
MODULE_ALIAS("sdio:c*v02DFd9159*");
MODULE_ALIAS("sdio:c*v02DFd9149*");
MODULE_ALIAS("sdio:c*v02DFd9141*");

MODULE_INFO(srcversion, "3E5A4060FBE61F81CF19B33");

MODULE_INFO(suserelease, "SLE15-SP6");
