#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0xb7ddabf8, "devm_platform_ioremap_resource" },
	{ 0x80b7aec3, "mt76_dma_rx_poll" },
	{ 0xa2437696, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6e9cfd60, "platform_driver_unregister" },
	{ 0x70421f21, "consume_skb" },
	{ 0x767dc963, "platform_get_irq" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x61313d24, "mt76_tx_status_skb_get" },
	{ 0x684dd542, "mt76_tx_status_lock" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x876dc14d, "mt76_csa_check" },
	{ 0xffaf83db, "mt76_tx_status_skb_add" },
	{ 0x962d4651, "__pci_register_driver" },
	{ 0xa24fc6d2, "__tracepoint_mac_txdone" },
	{ 0x1cc05db7, "mt76_tx_check_agg_ssn" },
	{ 0x25a0ee6, "mt76_get_rate" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x3bf7e230, "mt76_stop_tx_queues" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc85ea9a7, "__mt76_tx_complete_skb" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4814a342, "ieee80211_sta_eosp" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x5d9d139, "kthread_park" },
	{ 0xbd77e2ba, "mt76_mcu_rx_event" },
	{ 0xd5f91066, "mt76_dma_cleanup" },
	{ 0xa4b4023d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x61888cc7, "mt76_alloc_device" },
	{ 0xa87b5b1b, "mt76_tx_status_check" },
	{ 0xbc377c94, "wake_up_process" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x3b1365e5, "ieee80211_get_buffered_bc" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0xa44e5e54, "ieee80211_sta_set_buffered" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0x2141386b, "mt76_tx" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x42c37124, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd36f6c9e, "mt76_wcid_key_setup" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x5cb41f2b, "mt76_free_device" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x25ee332f, "mt76_rx" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xc93c0e0d, "mt76_init_queue" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x1191b14e, "pcim_iomap_regions" },
	{ 0x1a0a668d, "mt76_tx_status_skb_done" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0x58d3d27, "mt76_eeprom_init" },
	{ 0x4f791397, "_dev_err" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6333bba4, "mt76_register_device" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0xc512830, "mt76_set_tim" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc198e7ab, "__SCK__tp_func_dev_irq" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x3dce6c79, "mt76_set_channel" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0xcb280bce, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8800cb3a, "mt76_mmio_init" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x1cfd974f, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x55e7c88e, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ca84f84, "mt76_unregister_device" },
	{ 0x6574db14, "mt76_set_irq_mask" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x389ed7f, "__mt76_mcu_send_firmware" },
	{ 0x88398556, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0xfc3e5b3f, "__SCK__tp_func_mac_txdone" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56c88e50, "__platform_driver_register" },
	{ 0x52aaa93c, "__tracepoint_dev_irq" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf16c2b, "mt76_insert_ccmp_hdr" },
	{ 0x1b813cd3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x548e42ef, "mt76_sw_scan_complete" },
	{ 0xc7733e42, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x26e1b008, "____mt76_poll_msec" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcdc954e, "mt76_get_sar_power" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0xb54e5dd7, "mt76_sw_scan" },
	{ 0xc17af91e, "mt76_queues_read" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x2df63ffe, "mt76_register_debugfs_fops" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x9c25f90f, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x25ca10ac, "__mt76_poll" },
	{ 0x5488d044, "mt76_rx_aggr_stop" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf3eabe1b, "pcim_enable_device" },
	{ 0xd3c2169e, "mt76_dma_attach" },
	{ 0x1e0a4697, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");

MODULE_ALIAS("pci:v000014C3d00007603sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmac");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmacC*");

MODULE_INFO(srcversion, "0589FF15DC7C1592225A07E");

MODULE_INFO(suserelease, "SLE15-SP6");
