#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x8481ad07, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x06d1b1ed, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x696cda21, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x15f0fddf, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x8eb38d62, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3a27d7cd, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xd0e8c383, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xca1bf7ce, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x39d55736, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x0b3f2c36, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x7efcb7a5, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x6cdbbd4f, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xf1587e31, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x5a4c03f6, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x30c0b94b, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xd57322a9, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xea2d52dc, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x34d4fa59, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x44bddb9b, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xc7e1c80b, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x1f689de9, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x94950a39, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x06681d45, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x940771c5, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xbb1fc984, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xab9bcdcd, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x755049eb, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x8298907b, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x3213ebd9, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x0c1d10dc, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x89405248, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xda740616, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x5e43e9c5, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x3ba6ee1b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xbabe9431, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x49b5ff42, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x2f4b62b9, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x1568f24f, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x7bc77bce, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xc5ab6173, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xe6c7817e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xd47384aa, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x3119cf98, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x8dfca60e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x0b4ed889, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x9e53b54e, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xfe0571f8, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x2dd67adb, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xfa159422, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x75f15c4f, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x8221933c, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xa59c77d5, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xedd178b2, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x3fe9bd30, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x587cdd96, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xf0975870, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x00d802b2, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xb6f8ed77, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xf75a7a9c, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xca23c2db, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x158e6fae, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xd69791d5, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x6c8a9600, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xd0c6ecf6, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xa49fb2c6, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x1a1cc2c7, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0x80b7aec3, "mt76_dma_rx_poll" },
	{ 0xa2437696, "mt76_tx_status_unlock" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x61313d24, "mt76_tx_status_skb_get" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x684dd542, "mt76_tx_status_lock" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x876dc14d, "mt76_csa_check" },
	{ 0xffaf83db, "mt76_tx_status_skb_add" },
	{ 0xa24fc6d2, "__tracepoint_mac_txdone" },
	{ 0x1cc05db7, "mt76_tx_check_agg_ssn" },
	{ 0x419782e2, "ieee80211_tx_status_ext" },
	{ 0x3bf7e230, "mt76_stop_tx_queues" },
	{ 0xb9dcd676, "___pskb_trim" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc85ea9a7, "__mt76_tx_complete_skb" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x5d9d139, "kthread_park" },
	{ 0xbd77e2ba, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa87b5b1b, "mt76_tx_status_check" },
	{ 0xbc377c94, "wake_up_process" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x3b1365e5, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3d2839f, "napi_complete_done" },
	{ 0x674b80c6, "ieee80211_get_tx_rates" },
	{ 0x9ff4699f, "ieee80211_send_bar" },
	{ 0x2fa39998, "rt_spin_trylock" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0x2141386b, "mt76_tx" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x42c37124, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd36f6c9e, "mt76_wcid_key_setup" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x25ee332f, "mt76_rx" },
	{ 0x65d6ae93, "kthread_unpark" },
	{ 0xffacc098, "mt76_phy_dfs_state" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xc93c0e0d, "mt76_init_queue" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x9f95808c, "__mt76_sta_remove" },
	{ 0x1a0a668d, "mt76_tx_status_skb_done" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0x4f791397, "_dev_err" },
	{ 0xfa64da45, "debugfs_create_bool" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc198e7ab, "__SCK__tp_func_dev_irq" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xcb280bce, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x1cfd974f, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5b2beac, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf8f9dcdf, "__mt76_mcu_msg_alloc" },
	{ 0x6574db14, "mt76_set_irq_mask" },
	{ 0x86ff977, "bpf_trace_run1" },
	{ 0x19760eef, "idr_destroy" },
	{ 0x2324ddc4, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0xfc3e5b3f, "__SCK__tp_func_mac_txdone" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x53c557e, "mt76_seq_puts_array" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x52aaa93c, "__tracepoint_dev_irq" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x6da88fb3, "mt76_mcu_get_response" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1b813cd3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc7733e42, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x26e1b008, "____mt76_poll_msec" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xbc4c7701, "ieee80211_radar_detected" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc17af91e, "mt76_queues_read" },
	{ 0x2df63ffe, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x25ca10ac, "__mt76_poll" },
	{ 0x5488d044, "mt76_rx_aggr_stop" },
	{ 0x7d7b5350, "debugfs_create_u8" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd3c2169e, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "9EDCBDABE6D6D0FCEEC78F3");

MODULE_INFO(suserelease, "SLE15-SP6");
