#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_mac_sta_poll, 0x3460fc49, "_gpl");
SYMBOL_CRC(mt7921_txwi_free, 0x97c5dc93, "_gpl");
SYMBOL_CRC(mt7921_rx_check, 0x86144236, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xea6a77eb, "_gpl");
SYMBOL_CRC(mt7921_update_channel, 0x3d78712b, "_gpl");
SYMBOL_CRC(mt7921_reset, 0xdcc0d57f, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0xf6756793, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x94296e81, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x01a0e40b, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x40b94a7b, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x62055c7a, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x1197ad4b, "_gpl");
SYMBOL_CRC(mt7921_mcu_drv_pmctrl, 0x0cb536a8, "_gpl");
SYMBOL_CRC(mt7921_mcu_fw_pmctrl, 0xb579a161, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xd955d014, "_gpl");
SYMBOL_CRC(mt7921_stop, 0x69d261b9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x026d539c, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x15877122, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xcbb131b4, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x20e3f8f5, "_gpl");
SYMBOL_CRC(mt7921_get_mac80211_ops, 0xd0bb5191, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x6e9f6c39, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x4a39af89, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1384365c, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x49906e1, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x16945e0a, "ieee80211_sta_register_airtime" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x61e89428, "mt76_init_sar_power" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xa2437696, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb0f4a3d0, "is_acpi_device_node" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x75537036, "ieee80211_iterate_interfaces" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0xe0d1cbd3, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x4228778c, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x61313d24, "mt76_tx_status_skb_get" },
	{ 0x200299ef, "trace_raw_output_prep" },
	{ 0x6ac87f76, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x684dd542, "mt76_tx_status_lock" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x9d44cc16, "__trace_trigger_soft_disabled" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x7b0a26f3, "mt76_connac_mcu_set_rts_thresh" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x9683a3e0, "mt76_connac_mcu_set_channel_domain" },
	{ 0x318a3d3, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3e6a90cd, "mt76_release_buffered_frames" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x1616e999, "trace_event_printf" },
	{ 0x405a2556, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xffaf83db, "mt76_tx_status_skb_add" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0xc83e5de0, "mt76_connac_pm_wake" },
	{ 0x3b0c5674, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xc3eced3b, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xa1dfb93a, "mt76_wake_tx_queue" },
	{ 0xe719e6a8, "trace_event_raw_init" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd6737e19, "mt76_connac_mcu_chip_config" },
	{ 0x3dbfff49, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3689edc, "mt76_has_tx_pending" },
	{ 0xc85ea9a7, "__mt76_tx_complete_skb" },
	{ 0x4b24ffef, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x3b28e76c, "mt76_set_stream_caps" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xeeda790, "bpf_trace_run2" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x586469e0, "ieee80211_get_hdrlen_from_skb" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0x7c31cbc3, "mt76_connac_mcu_update_arp_filter" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xbd77e2ba, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62236c4b, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x880d3b63, "pskb_expand_head" },
	{ 0xa87b5b1b, "mt76_tx_status_check" },
	{ 0xbc377c94, "wake_up_process" },
	{ 0x5714dbdf, "mt76_connac_free_pending_tx_skbs" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0xe1bae1b6, "mt76_connac_power_save_sched" },
	{ 0xc7201d04, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33fac00d, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x27393bb7, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2141386b, "mt76_tx" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0xb76a667e, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xd36f6c9e, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x25ee332f, "mt76_rx" },
	{ 0x8d920e82, "mt76_connac_mcu_sched_scan_req" },
	{ 0x98031060, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4e008de, "mt76_connac2_mac_add_txs_skb" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0xd1d31365, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xe02677a5, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x36cb546f, "perf_trace_run_bpf_submit" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0xcc30ef58, "skb_pull" },
	{ 0x6333bba4, "mt76_register_device" },
	{ 0x932551ad, "mt76_connac2_load_ram" },
	{ 0xd97a178d, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0x3dce6c79, "mt76_set_channel" },
	{ 0x2b9a9d77, "trace_event_reg" },
	{ 0xcb280bce, "mt76_update_survey" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x1cfd974f, "mt76_mcu_send_and_get_msg" },
	{ 0x9142574a, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x55e7c88e, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0xf8f9dcdf, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x19760eef, "idr_destroy" },
	{ 0xbb092932, "mt76_connac_pm_dequeue_skbs" },
	{ 0x9034108d, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc8ceae4c, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x9c6686ac, "__pskb_pull_tail" },
	{ 0x6aafa4cd, "mt76_sta_state" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x460c0dea, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f6e5027, "cfg80211_reg_can_beacon" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x4dbfe275, "mt76_connac_mcu_get_nic_capability" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x5a571db4, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0xb3420458, "trace_event_buffer_reserve" },
	{ 0xeb019018, "ieee80211_sched_scan_results" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf16c2b, "mt76_insert_ccmp_hdr" },
	{ 0x1b813cd3, "mt76_txq_schedule_all" },
	{ 0x37397a65, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0x42b0d7c2, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x17464a51, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc7733e42, "mt76_rx_aggr_start" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0x26e1b008, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xa87e8bff, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2fa3aa41, "mt76_skb_adjust_pad" },
	{ 0x6ca5beaf, "mt76_put_txwi" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x10a0238a, "mt76_connac_sta_state_dp" },
	{ 0xae62195b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xe6bcac2c, "single_release" },
	{ 0xc17af91e, "mt76_queues_read" },
	{ 0xd77e33a9, "mt76_sta_pre_rcu_remove" },
	{ 0x2df63ffe, "mt76_register_debugfs_fops" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xae369098, "mt76_connac2_mac_write_txwi" },
	{ 0xc05c7a76, "__mt76_set_tx_blocked" },
	{ 0x3382a1bb, "mt76_connac_mcu_sta_ba" },
	{ 0x7e343e2a, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0x6050f46a, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x25ca10ac, "__mt76_poll" },
	{ 0x5488d044, "mt76_rx_aggr_stop" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x34cf45d0, "mt76_connac_mcu_add_key" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf9d6d487, "ieee80211_disconnect" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "823CAF32706D08C2B169CC3");

MODULE_INFO(suserelease, "SLE15-SP6");
