#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xb29a0a48, "");
SYMBOL_CRC(rtw_dump_reg, 0xe54c9dec, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x5377cb10, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x73bac50f, "");
SYMBOL_CRC(rtw_core_init, 0xc68e6c00, "");
SYMBOL_CRC(rtw_core_deinit, 0x3c19621f, "");
SYMBOL_CRC(rtw_register_hw, 0xfb0b7656, "");
SYMBOL_CRC(rtw_unregister_hw, 0xff0e0bee, "");
SYMBOL_CRC(rtw_ops, 0x7be34b03, "");
SYMBOL_CRC(check_hw_ready, 0xcb7f8095, "");
SYMBOL_CRC(rtw_restore_reg, 0x34e9f59e, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x8e888aa5, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x7a4a5028, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x781de767, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x10982e0f, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x893f3f2c, "");
SYMBOL_CRC(rtw_rx_stats, 0xde53b9ba, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x6cb76f3d, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xec9d3fc3, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xaaeae93b, "");
SYMBOL_CRC(rtw_phy_init, 0x89452f52, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0xba2772fc, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x4eb384f4, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x4f382bd4, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x9fbd88a2, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x9c29481b, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x79fc74ac, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x9e93ccc0, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x9fa17322, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xcb309c42, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xe660e779, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x5f608044, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xf902c74c, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x4a08f525, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xe8a7e639, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0xade85d5f, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xd96d42fb, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xe20da966, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x66ef19b0, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x4fe3fb25, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x07212a30, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x804f8bb2, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0x6f529e85, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x0b11877c, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x2832cec7, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x90b395fe, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xde3afc2f, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x90ff3c24, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x05e9fe4a, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x791344d3, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x26852574, "");
SYMBOL_CRC(rtw_power_mode_change, 0x9d3ff9bd, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x30de0e44, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x2942b62e, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x50218aa2, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xa9fdb0ad, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x12662117, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xfdc0164a, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0xa8894df9, "");
SYMBOL_CRC(rtw_regd_get, 0x048782e7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xe7d09c0e, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4ede902a, "ieee80211_txq_get_depth" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x70421f21, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a6aa5bb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0xb0c7f275, "finish_wait" },
	{ 0x48ee3dd, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x68ef8b6a, "ieee80211_nullfunc_get" },
	{ 0xdf6f73de, "ieee80211_pspoll_get" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xfaad0580, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a88f4d5, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd7bf3bd, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xff1b6af1, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf53cfb8f, "ieee80211_tx_status_irqsafe" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xf93866d6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xb8ba633e, "ieee80211_proberesp_get" },
	{ 0x4f791397, "_dev_err" },
	{ 0x1ae0cd9a, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3f88eeea, "ieee80211_find_sta_by_ifaddr" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b2beac, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a5b7f56, "__init_waitqueue_head" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfacdb0c0, "ieee80211_request_smps" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "7A9979B0AAECEC19E865B3F");

MODULE_INFO(suserelease, "SLE15-SP6");
