#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x5a858460, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xc579a13a, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0xb90d2e4d, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x56e53b00, "");
SYMBOL_CRC(rtw89_core_rx, 0x24bc3e57, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xfcc6244a, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x22de1549, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x64425ed3, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x25ffe9b3, "");
SYMBOL_CRC(rtw89_core_init, 0x66f145c7, "");
SYMBOL_CRC(rtw89_core_deinit, 0x388ee7f4, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xcbc03a00, "");
SYMBOL_CRC(rtw89_core_register, 0x74bb24fb, "");
SYMBOL_CRC(rtw89_core_unregister, 0x166ef581, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0xa1f3f0aa, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x25aede19, "");
SYMBOL_CRC(rtw89_ops, 0x15a24ff9, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0xba6c4d61, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x352a65d4, "");
SYMBOL_CRC(rtw89_mac_size, 0x89415bce, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x993d1b63, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x8dfa4c51, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x100ed3bc, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x4f8de7de, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xdc684e7a, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xdfa8bb8e, "");
SYMBOL_CRC(rtw89_mac_get_txpwr_cr, 0x51758c06, "");
SYMBOL_CRC(rtw89_mac_cfg_ppdu_status, 0x1003a2ec, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0x077be875, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0x3de9375b, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x5adbff9a, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x379cf767, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0x4433876c, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xa6f95399, "");
SYMBOL_CRC(rtw89_mac_write_xtal_si, 0xe976fd13, "");
SYMBOL_CRC(rtw89_mac_read_xtal_si, 0x8ca364a6, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x53b689b4, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x50908bc5, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x6c98c200, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xf0dc6971, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xb08c8d48, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x8f7ae207, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xc3fcf7df, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0xfe8e0ef6, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x86079ae3, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x135cccf2, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xed67204f, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_byrate, 0xa2c12183, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_offset, 0xbb594057, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit, 0x2f07f5bf, "");
SYMBOL_CRC(rtw89_phy_set_txpwr_limit_ru, 0xe25d9234, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xac1172d8, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x026880d9, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0xb02db833, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x2aa5609f, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xdc5dd2ce, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x3bb732e0, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x19cf31fb, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x0551fc4f, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x734f81d8, "");
SYMBOL_CRC(rtw89_ser_notify, 0x73f7595a, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dc59071, "ieee80211_stop_tx_ba_session" },
	{ 0x2a2ba7f, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb62b573b, "ieee80211_connection_loss" },
	{ 0xe7d09c0e, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa5380812, "__ieee80211_schedule_txq" },
	{ 0x4ede902a, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb4c1091b, "cfg80211_bss_iter" },
	{ 0xabe460aa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x70421f21, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5174f12f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x468312dd, "ieee80211_free_hw" },
	{ 0x48ee3dd, "ieee80211_probereq_get" },
	{ 0x7df64fb3, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbc975a81, "request_firmware" },
	{ 0x2f80bb24, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d3b42e4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ebac868, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x68ef8b6a, "ieee80211_nullfunc_get" },
	{ 0xdf6f73de, "ieee80211_pspoll_get" },
	{ 0xd044c226, "ieee80211_register_hw" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x741034da, "ieee80211_restart_hw" },
	{ 0xd01756ba, "__netif_napi_del" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x537f73ba, "ieee80211_find_sta" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x83f1e0f3, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0xeafd96d1, "skb_queue_tail" },
	{ 0xb7062826, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x4741fa87, "wiphy_to_ieee80211_hw" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xaeb30b17, "ieee80211_queue_delayed_work" },
	{ 0xb8ba633e, "ieee80211_proberesp_get" },
	{ 0x4f791397, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd469f854, "ieee80211_next_txq" },
	{ 0xa4d50daa, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb960fec, "ieee80211_remain_on_channel_expired" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x29157a8e, "skb_push" },
	{ 0xbb1cb1c4, "napi_enable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeefaec25, "ieee80211_wake_queues" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b2beac, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x901b1236, "ieee80211_free_txskb" },
	{ 0x7a9971cb, "dev_coredumpv" },
	{ 0x2387b41e, "ieee80211_alloc_hw_nm" },
	{ 0x94cdd96c, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2c5e055a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xaf03b4bc, "ieee80211_ready_on_channel" },
	{ 0x152a58f1, "ieee80211_stop_queues" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x3577c83d, "skb_unlink" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf3be2a27, "ieee80211_scan_completed" },
	{ 0x71bb0324, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2698d12d, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xac049455, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x277ea1f0, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf0b228a7, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0x2e0fb015, "ieee80211_cqm_rssi_notify" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd36f36ca, "kmalloc_trace" },
	{ 0x5f2a2eec, "ieee80211_queue_work" },
	{ 0xd6a5bc90, "napi_schedule_prep" },
	{ 0xe4c96da5, "napi_disable" },
	{ 0xfe83877, "dev_kfree_skb_any_reason" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0xef7f9974, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb864eb06, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbb0a06ba, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "AA551059F81EEEA015A20F3");

MODULE_INFO(suserelease, "SLE15-SP6");
